Subject: bug#55810: closed (Re: bug#55810: 28.1; No "really edit the buffer?" prompt when editing a changed file over Tramp)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Jun 2022 04:24:02 +0000

Your bug report

#55810: 28.1; No "really edit the buffer?" prompt when editing a changed file over Tramp

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55810: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55810
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55810: 28.1; No "really edit the buffer?" prompt when editing a changed file over Tramp
From: Jim Porter <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
Date: Mon, 6 Jun 2022 21:23:46 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 6/6/2022 1:15 AM, Michael Albinus wrote:
>> CC'ing Michael here. Maybe the easy solution is just to bump the GNU
>> ELPA version of Tramp to 2.5.3 or something, and then package.el will
>> recognize it as newer than what ships with 28.1.
> 
> Tramp 2.5.3 is scheduled for release later this month. Whether it will
> go to GNU ELPA, or Tramp 2.6.0 (also to be released) is not decided yet.

Sounds good. That should resolve this issue then. Closing.

Subject: 28.1; No "really edit the buffer?" prompt when editing a changed file over Tramp
From: Jim Porter <[email-masked]>
To: [email-masked]
Date: Sun, 5 Jun 2022 11:43:44 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

To see this in action:

   $ cat file.txt
   hi

   $ emacs -Q
   C-x C-f /ssh:localhost:~/file.txt

   $ echo bye >> file.txt

Back in Emacs, type anything into the buffer. It should ask, "file.txt 
changed on disk; really edit the buffer?" However, it doesn't. (It does 
still provide a warning you when you save though.)

Note: this used to work in Emacs 27, and works again in Emacs 29, but 
Emacs 28 fails.

Strangely, I updated Tramp from GNU ELPA and the bug went away, but only 
until I restarted Emacs; then it returned. I haven't had time to try and 
reliably reproduce this part though, so that might just be a coincidence.